Index: pdns/ueberbackend.cc
===================================================================
--- pdns/ueberbackend.cc	(revision 1715)
+++ pdns/ueberbackend.cc	(working copy)
@@ -162,6 +162,9 @@
 
   for(vector<DNSBackend *>::const_iterator i=backends.begin();i!=backends.end();++i)
     if((*i)->getSOA(domain, sd, p)) {
+      // fix for replacing the @ and . in soa records, which is normally done in fillSOAData
+      sd.hostmaster = attodot(sd.hostmaster);    
+    
       DNSResourceRecord rr;
       rr.qname=domain;
       rr.qtype=QType::SOA;
Index: modules/pdnsbackend/pdnsbackend.cc
===================================================================
--- modules/pdnsbackend/pdnsbackend.cc	(revision 1715)
+++ modules/pdnsbackend/pdnsbackend.cc	(working copy)
@@ -168,7 +168,7 @@
    //cout << "PdnsBackend::getSOA" << endl;
 
    ostringstream o;
-   o << "select Id,Hostmaster,Serial from Zones where Active = 1 and Name = '" << sqlEscape(inZoneName) << "'";
+   o << "select Id,Hostmaster,Serial,TimeToLive from Zones where Active = 1 and Name = '" << sqlEscape(inZoneName) << "'";
 
    this->Query(o.str());
       
@@ -180,6 +180,7 @@
       outSoaData.nameserver = arg()["default-soa-name"];
       outSoaData.hostmaster = theRow[1];
       outSoaData.serial = atoi(theRow[2]);
+      outSoaData.ttl = atoi(theRow[3]);
       
       outSoaData.refresh = arg()["pdns-"+d_suffix+"soa-refresh"].empty() ? 10800 : atoi(arg()["pdns-"+d_suffix+"soa-refresh"].c_str());
       outSoaData.retry = 3600;